std::bernoulli_distribution::param_type Struct Reference

`#include <random.h>`

## Public Types

typedef bernoulli_distribution | distribution_type

## Public Member Functions

| param_type (double __p)
double | p () const

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

Parameter type.

Definition at line 3533 of file random.h.

## Member Typedef Documentation

## distribution_type

typedef bernoulli_distribution std::bernoulli_distribution::param_type::distribution_type

Definition at line 3535 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/2]

std::bernoulli_distribution::param_type::param_type | ( |  | ) |

inline

Definition at line 3537 of file random.h.

## param_type() [2/2]

std::bernoulli_distribution::param_type::param_type | ( | double | __p | ) |

inline explicit

Definition at line 3540 of file random.h.

## Member Function Documentation

## p()

double std::bernoulli_distribution::param_type::p | ( |  | ) | const

inline

Definition at line 3547 of file random.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 3555 of file random.h.

## operator==

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 3551 of file random.h.

The documentation for this struct was generated from the following file:

- random.h